WordMakerParserInternal::State Struct Reference documentation

WordMakerParserInternal::State Struct Reference

Internal: the state of a WordMakerParser. More...

## Public Member Functions
| State ()
| constructor
| State (State const &)=delete
State & | operator= (State const &)=default

## Public Attributes
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
long | m_endDataZone
| the end data zone limit
Zone * | m_currentZone
| the current zone
std::multimap< Zone::Type, Zone > | m_typeToZoneMap
| a map type to zone
std::vector< MWAWEntry > | m_pictureList
| the list of document picture entries

## Detailed Description

Internal: the state of a WordMakerParser.

## Constructor & Destructor Documentation

## ◆ State() [1/2]

WordMakerParserInternal::State::State | ( |  | ) |
| inline

constructor

Referenced by operator=(), and State().

## ◆ State() [2/2]

WordMakerParserInternal::State::State | ( | State const & |  | ) |
| delete

## Member Function Documentation

## ◆ operator=()

State & WordMakerParserInternal::State::operator= | ( | State const & |  | ) |
| default

## Member Data Documentation

## ◆ m_actPage

int WordMakerParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_currentZone

Zone* WordMakerParserInternal::State::m_currentZone

the current zone

Referenced by State().

## ◆ m_endDataZone

long WordMakerParserInternal::State::m_endDataZone

the end data zone limit

Referenced by State().

## ◆ m_numPages

int WordMakerParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_pictureList

std::vector<MWAWEntry> WordMakerParserInternal::State::m_pictureList

the list of document picture entries

Referenced by State().

## ◆ m_typeToZoneMap

std::multimap<Zone::Type, Zone> WordMakerParserInternal::State::m_typeToZoneMap

a map type to zone

Referenced by State().

The documentation for this struct was generated from the following file:

- WordMakerParser.cxx